using System;
using System.Text;

namespace P4API
{
    /// <summary>
    /// Defines the exception levels available in P4Connection.
    /// </summary>
    public enum P4ExceptionLevels
    {
        /// <summary>
        /// Exceptions will only be thrown when Perforce has errors.  This is the default exception level.
        /// </summary>
        NoExceptionOnWarnings,

        /// <summary>
        /// Exceptions will never be thrown when Perforce has errors.
        /// </summary>
        NoExceptionOnErrors,

        /// <summary>
        /// Exceptions will be thrown for both Errors and Warnings.
        /// </summary>
        ExceptionOnBothErrorsAndWarnings
    }
}
